Use of TCE

INSTALLATION

  1. Recommended TCE version is 1.12.
  2. Recommended linux distribution is Debian 7. If you prefer Debian 8, you need to solve the dependency of WxWidget manually.
  3. TCE only works on WxWidget 2.6.* and WxWidget 2.8.*. I tried with WxWidget-3.0.* by cheating the “configure” checking process, it didn’t work. So, don’t install it on any radical distribution like Archlinux or Fedora, otherwise you need to solve the dependecncy of WxWidget manually.
  4. Before installation, install compiling tool chain first:

    1
    sudo apt-get install build-essential
  5. In case you do want to install TCE on “modern” distributuion, you need to compile the WxWidget manually.

    1. DOWNLOAD wxwidget-2.8.* from the official website.
    2. INSTALL “gtk+-2.0” and “pkg-config”.
    3. COMPILE wxwidget using classic 3-step compilation process:
      1
      2
      3
      ./configure --prefix=/usr
      make
      sudo make install
  6. Now, you can compile the TCE according to the INSTALL GUIDE, Be careful while executing “configure” process for TCE, you may get errors after cheking the Boost::System library. You need to rerun configure with command:

    1
    ./configure --prefix=$HOME/local --with-boost-libdir=/usr/lib/i386-linux-gnu
  7. All the installation process will probably take more than 6 hours.

USAGE

  1. You need to set the default EDITOR in “osed” tool, otherwise you cannot edit the behavior model since the default EDITOR is nano.
分享到 评论